Actualité
noupdate

[2.80] Les secrets du firmware 2.80

par
Source: magixien

Le firmware 2.80 semblait inoffensif et surtout ne rien amener de majeur. L'absence de documentation anglaise et/ou française a ralenti l'analyse réelle des nouveautés mais zmcnulty de psp-vault à fait une analyse complète de la documentation japonaise et il en ressort que ce firmware est une véritable vérole pour l'internaute. Lisez et commentez !!


Ce qui suit est une traduction/adaptation de l'article paru sur psp-vault et écrit par zmcnulty


Le 2.80, dernier firmware en date, est le pire de tous...

Si vous désirez télécharger les fichiers PDf en japonais, ne vous gênez pas: c'est disponible via la page de mise à jour japonaise. Le premier est le PSP manual including updates for firmware 2.80, et le suivant "Guidelines for Creating Content for the "PSP" Internet Browser, et enfin le Guidelines for Creating Content for the "PSP" RSS Channel. Tous sont en Japonais et n'ont pas été traduit en américain ni en français, of course ! Il semble que ce soit volontaire de la part de Sony car le 2.80 cache bien son jeu.

Recherchons d'abord les informations sur le nouveau répertoire "VIDEO", parce que c'est quelque chose que bon nombre d'entre nous se demandent encore. Dans la nouvelle édition du manuel, Sony inclut cette image :


Malheureusement, ceci ne nous aide pas vraiment. Il indique sauver « fichiers au format MP4 » dans le répertoire « VIDEO » de votre Memory Stick Duo. Rien que nous ne sachions pas déjà. Les conseils au-dessous du diagramme indiquent que des vidéos avec extension "MP4" peuvent être jouées, et que bien que des répertoires puissent être créées dans le répertoire «VIDEO», d'autres répertoires à l'intérieur de ces répertoires ne seront pas reconnus. Il est intéressant que la documentation ne mentionne seulement MP4, quoique par ailleurs, Sony indique que la PSP supporte également les fichiers vidéos avec extension M4V. Que penser ? Heureusement, vers la fin du même document, Sony nous fournit un descriptif des formats vidéos supportés.

Ceci indique cela sous «le format vidéo du Memory Stick» la PSP supporte le playback des fichiers MPEG-4 Simple Profile (AAC), et les fichiers H.264/MPEG-4 AVC Main Profile (AAC). De même, sous le standard MP4 la PSP supporte le playback des fichiers MPEG-4 Simple Profile (AAC), H.264/MPEG-4 AVC Main Profile (CABAC) (AAC) et les fichiers Baseline Profile (AAC). La version précédente de ce document, c'est-à-dire celle pour les firmwares 2.71 et antérieurs, ne fait pas mention du support du MP4 standard. Qu'est ce que tout cela veut dire ? Je n'en sais pas grand chose car n'ayant pas assez de connaissance dans le domaine des codecs vidéo mais cela donne sans doute une idée de ce que peut faire, ou pas, le firmware 2.80. Voici un profil plus détaillé du support vidéo trouvé dans le document sur les RSS :


Ainsi pour les vidéos H.264, vous regardez le support pour des fichiers finissant avec une extension .MP4 .M4V. Ils doivent être en 768kbps ou inférieur, ont un framerate de 30fps ou inférieur, et ont un Baseline Profile de niveau 1.3 inférieur, ou un profil principal de niveau 2.1 ou inférieur (mais le CABAC seulement). Les voies audio de ces vidéos doivent être dans le format AAC, 128kbps ou inférieur, 48kHz ou inférieur, et en stéréo. De même, pour les vidéos MPEG-4, elles peuvent avoir une extentsion .MP4 ou .M4V, mais elles doivent être en 768kbps ou inférieur, avoir un framerate de 30kbps ou inférieur, et être en profil simple. L'audio doit être en AAC à 128kbps ou inférieur, à 48kHz ou inférieur, et en stéréo. J'espère que cela éclaire la lanterne de certains d'entre vous.

Passons à quelque chose de plus amusant. Sony à rajouté quelques chose de plutôt intéressant dans son navigateur.


Cela se nomme le "PSP Extension Plugin." Il a même son propre type MIME. Le texte suivant indique que c'est seulement disponible sur le firmware 2.80 et plus. Mais à quoi cela sert-il ?

Avant d'aller plus loin, voyons ce que supportait la PSP avant le firmware 2.80. La PSP supportait le "PSP Plugin" . C'est:


En français, "le navigateur Internet de la PSP supporte le chaînage des applications et des contenus au travers le support d'applications comme les jeux en utilisant le prédéfini plugin PSP ou le javascript pour le même effet. En d'autres mots, ceci veut dire que les développeurs peuvent créer des plugins destinés seulement à la PSP sur leur site pour interagir avec certaines applications (comme des jeux).Plus spécifiquement, des données peuvent être écrite en retour dans l'application à partir d'un navigateur, et le navigateur Internet de l'utilisateur pourrait être obligé de fermer sut à l'injection de certains codes javascript dans une page Web. Problème de sécurité ? Demandez donc à Sony car je trouverais fort ennuyeux de voir mon navigateur fermer alors que je me promène sur le site de mon clown préféré.

Cependant,



Ceci dit qu'utiliser la fonctionnalité de chaînage du plugin "PSP" nécessite l'implantation dans l'application elle-même. En d'autres mots, le plugin '"PSP" est completement innofensif si vous naviguez avec votre navigateur depuis la XMB (cross media bar = menu de la PSP). Mais ceci nous amène directement au nouveau module "PSP" implanté dans le firmware 2.80.


Le navigateur Internet de la PSP, en complément avec la fonctionnalité de chaînage offerte par le plugin "PSP" supporte maintenant une fonction de chaînage même si vous le lancez depuis le XMB. En d'autres termes, à partir du 2.80 les développeurs peuvent écrire des pages web spécifiquement dédiées à la PSP et à son navigateur.

A ce jour, le module d'extension (plugin) PSP supporte les fonctions suivantes:



LA première est 'l'acquisition depuis le header d'extension du navigateur Internet" et la suivante est "l'acquisition de la plus grande quantité de contenu amassé' Mais que cela veut-il dire ? Aucune idée. Heureusement, Sony les explique tous les deux, mais le seul que je comprends est l'extension header. L'extension header contient les informations suivantes :



x-psp-productcode: Le code produit de votre PSP dépendra de la région dans laquelle vous avez acheté votre PSP. Le code produit pour les PSP achetées en Amérique du Nord diffère du code produit des PSP achetées au Japon.

x-psp-browser
: Cette valeur indique d'où le navigateur d'Internet a été lancé. Il y a trois options : depuis le XMB, d'une application sous XMB, et d'une application sur un UMD ou un memory stick.

x-psp-application: Au besoin, ceci identifie l'application depuis laquelle le navigateur a été lancé. Par exemple, le lancement du web browser employant « Wipeout pur » remplira cette valeur de quelque chose comme « Wipeout Pure/1.0.0 (UCUS-98612)


User-Agent: Un entete identifie le navigateur d'un utilisateur sur le serveur Web. L'entete du navigateur PSp est « Mozilla/4.0 (PSP (PlayStation portatif) ; 2.00) ». Il est donc possible de liore cet entete via le serveur afin d'orienter l'internaute sur une version mobile et spécifique. Mais il est est également possible de lire cette valeur avec le module "PSP".

Notez bien que depuis la version 2.80, votre PSp peut aussi envoyer son numéro de firmware via ce système.



Ceci a de large implications. La première d'entre elles, et je ne voudrais pas être alarmiste, cel veut dire que les développeurs pourront obtenir des informations spécifiques pour vous permettre, ou pas, d'accéder à leurs sites. En gros, un expert pourra déterminer que seulement tel firmware, ou seulement telle ou telle région du monde auront le droit d'accéder à leurs site. Violation de la vie privée ? Soyons clair, je n'en sais rien mais quoi qu'il en soit en l'état actuel des choses il sera même possible d'interdire l'accès à certaines page web si vous n'avez pas installé le dernier firmware par exemple. Imaginez le problème rencontré par les utilisateurs de homebrews. Imaginez le scénario suivant: vous voulez installer les dernier circuits de WipeOut (original) sur votre PSP. Imaginez ne pas pouvoir accéder à la page car celle-ci vous impose une mise à jour pour pouvoir télécharger ? Une rumeur laisse courir le bruit que l'échange de sauvegardes avec Tekken serait soumise à cette possibilité.

Par conséquent, ceci semble être la dernière mesure anti-homebrew de Sony. En mettant en application ce changement qui leur permet d'identifier la version des firmwares d'un utilisateur par le navigateur, ils s'assurent ainsi la possibilité d'exiger des utilisateurs d'avoir toujours la dernière version de firmware installée et plus simplement de l'imposer au lancement de la commercialisation d'un jeu. Vous saisissez la grande nuance ?

Commentez cette news en cliquant ici

Pour commander chez Lik Sang, cliquez ci-dessous:


lik-Sang


Mots-clés

Commenter 26 commentaires

Anonymous
Si ils mettent "la derniere version du logiciel systeme est déja installé" à quoi le port infrarouge sert-t-il?
sony savait peut etre que les hackers allaient tout faire depuis le début?
moi je pense que oui , ils auraient pas été aussi cons de ne pas mettre une clé sur les eboots
Sony se fout de nous , et nous pompent le compte alors je verrais pas pourquoi je me gênerait de telecharger des isos
si les jeux psp font vivre des millions de gens , vu l'augmentation maladive de la taxe gaz de france et EDF , que ma mere [je vais pas vous le cacher]
se tape en sachant que bientot j'ai la rentrée
je croit franchement qu'ils sont pas tellement à se plaindre.

PS: et qui vas fournir le fric pour surveiller tous les gens au monde si ils on pas fait une copie de leurs CDs?
l'argent des fumeurs , mon pere l'est , et ca nous plombe encore plus le compte
raison de plus pour telecharger des isos sans mauvaise conscience
Signaler Citer
ld89thebest
j ai compris pour quoi SONY veut annéantire devhook car en ce moment sa serai la seul solution pour passer pardessu se petit désacrément .
Pour que devhook emule le 2.8 il faudrai deja arrivée a le décripter !
En ésperant que !!!
Abientot et vive le 1.5
Signaler Citer
belgarathFR
Au fait a mon avis le IR est la pour faire beau ...

car meme pour la ps3 c'est en wifi lol!

je reagis face a cet arcticle:

mais comment sony peuvent savoir notre FW 1.5 ou 2.6 si on est pas en 2.8 ? c'est completement bidon?

par devhook si on emule le 2.8 (qui n'est pas encore dispo il me semble) non?
Signaler Citer
Anonymous
Malheureusement, ceci ne nous aide pas vraiment. Il indique sauver « fichiers au format MP4 » dans le répertoire « VIDEO » de votre Memory Stick Duo. Rien que nous ne sachions pas déjà. Les conseils au-dessous du diagramme indiquent que des vidéos avec extension "MP4" peuvent être jouées, et que bien que des répertoires puissent être créées dans le répertoire «VIDEO», des fichiers à l'intérieur de ces répertoires ne seront pas reconnus. Il est intéressant que la documentation ne mentionne seulement MP4, quoique par ailleurs, Sony indique que la PSP supporte également les fichiers vidéos avec extension M4V. Que penser ? Heureusement, vers la fin du même document, Sony nous fournit un descriptif des formats vidéos supportés.


Il y a une faute ici, on peut mettre des répertoires dans VIDEO et les fichiers dedans sont reconnus.

Je le sais, je l'ai testé (dailleurs si vous enregistrer des video d'un flux rss elles se mettent dans un répertoire spécifique), par contre on peut pas mettre de répertoire dans ces répertoires (comme dans MUSIQUE, un seul sous repertoire est reconnu). c'est d'ailleur ce qu'indique le graphique:

Image

on voit que le répertoire et son contenu sont reconnus mais pas le second sous-répertoire.

Seul les videos en mp4 "classique" sont reconnu pour l'instant dans VIDEO, les AVC doivent être installé comme avant.

On n'est plus obligé non plus de renommer les fichier mp4 dans VIDEO, n'importe quel nom est reconnu.

Je raconte tout ça (et j'ai surtout testé tout ça) ici : http://www.pspgen.com/modules.php?name= ... ic&t=15162
Signaler Citer
Anonymous
C'est peut etre une question conne, mais je me suis posé ca comme questions pendant que je prenais mon ptit dej...
Est-ce possible qu'en se baladant sur un de ces sites qui necessite le firmware 2.80, se trouve l'update 2.80 et que donc si on essaye d'y aller avec une psp 1.5 l'update se lance au démarrage de la page et nous installe ainsi le firmware 2.80 sans que l'on est rien demandé a personne
En gros est-il possible que ce cauchemar arrive ?
Signaler Citer